Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_physx.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_physx.h"`
`#include "pandaSystem.h"`
`#include "physxActor.h"`
`#include "physxBoxController.h"`
`#include "physxBoxForceFieldShape.h"`
`#include "physxBoxShape.h"`
`#include "physxCapsuleController.h"`
`#include "physxCapsuleForceFieldShape.h"`
`#include "physxCapsuleShape.h"`
`#include "physxCcdSkeleton.h"`
`#include "physxCloth.h"`
`#include "physxClothMesh.h"`
`#include "physxClothNode.h"`
`#include "physxContactPair.h"`
`#include "physxContactPoint.h"`
`#include "physxController.h"`
`#include "physxControllerReport.h"`
`#include "physxControllerShapeHit.h"`
`#include "physxControllersHit.h"`
`#include "physxConvexMesh.h"`
`#include "physxConvexForceFieldShape.h"`
`#include "physxConvexShape.h"`
`#include "physxCylindricalJoint.h"`
`#include "physxD6Joint.h"`
`#include "physxDebugGeomNode.h"`
`#include "physxDistanceJoint.h"`
`#include "physxFixedJoint.h"`
`#include "physxForceField.h"`
`#include "physxForceFieldShape.h"`
`#include "physxForceFieldShapeGroup.h"`
`#include "physxHeightField.h"`
`#include "physxHeightFieldShape.h"`
`#include "physxJoint.h"`
`#include "physxMaterial.h"`
`#include "physxObject.h"`
`#include "physxPlaneShape.h"`
`#include "physxPointInPlaneJoint.h"`
`#include "physxPointOnLineJoint.h"`
`#include "physxPrismaticJoint.h"`
`#include "physxPulleyJoint.h"`
`#include "physxRevoluteJoint.h"`
`#include "physxScene.h"`
`#include "physxShape.h"`
`#include "physxSoftBody.h"`
`#include "physxSoftBodyMesh.h"`
`#include "physxSoftBodyNode.h"`
`#include "physxSphereForceFieldShape.h"`
`#include "physxSphereShape.h"`
`#include "physxSphericalJoint.h"`
`#include "physxTriangleMesh.h"`
`#include "physxTriangleMeshShape.h"`
`#include "physxVehicle.h"`
`#include "physxWheel.h"`
`#include "physxWheelShape.h"`

Go to the source code of this file.

## Functions
| ConfigureDef (config_physx)
| ConfigureFn (config_physx)
void | init_libphysx ()
| Initializes the library.
| NotifyCategoryDef (physx, "")

## Variables
ConfigVariableInt | physx_internal_threads ("physx-internal-threads", 0, PRC_DESC("Specified the number of internal threads to be created by the " "PhysX engine. The threads will be moved to different cores, if " "possible. Default value is '0'. PhysX then runs in an external " "thread, but no additional internal threads will be created."))
ConfigVariableEnum< PhysxEnums::PhysxUpAxis > | physx_up_axis ("physx-up-axis", PhysxEnums::Z_up, PRC_DESC("Set the up direction for controllers and heightfields."))
ConfigVariableString | physx_vrd_host ("physx-vrd-host", "localhost", PRC_DESC("Specified the host where the NVIDIA PhysX visual debugger is running " "on. Only used if the config-varibale 'physx-want-visual-debugger' " "is set to 'true'."))
ConfigVariableInt | physx_vrd_port ("physx-visual-debugger-port", 5425, PRC_DESC("Specified the port where the NVIDIA PhysX visual debugger is running " "on. Only used if the config-varibale 'physx-want-visual-debugger' " "is set to 'true'."))
ConfigVariableBool | physx_want_vrd ("physx-want-vrd", false, PRC_DESC("Specified wether the manager should try to connect to the NVIDIA " "PhysX visual debugger or not. Connection is established when " "the first instance of PhysxManager is created."))

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  enn0x

Date
  2009-09-01

Definition in file config_physx.cxx.

## Function Documentation

## ◆ ConfigureFn()

ConfigureFn | ( | config_physx |  | ) |

Definition at line 77 of file config_physx.cxx.

## ◆ init_libphysx()

void init_libphysx | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 117 of file config_physx.cxx.

References PandaSystem::add_system(), and PandaSystem::get_global_ptr().

Referenced by init_libpandaphysx().